<? // vim:encoding=utf8:
require_once "lib/page.inc.php";
require_once "lib/auth.inc.php";
require_once "lib/aktuality.inc.php";
require_once "lib/kalendar.inc.php";
require_once "lib/obrazek.inc.php";

$PHP_SELF = $_SERVER["PHP_SELF"];


$auth = new Auth;
$lvl = $auth->check_login();
$page = new Page("Seznam aktualit", $auth->get_username(), $lvl);
$page->generate_header();

if ($lvl < AUTH_EDITOR) {
	if ($lvl == 0)
		$auth->print_must_login();
	else
		$auth->print_access_denied();
	$page->generate_footer();
	exit;
}

$aktuality = new Aktuality(A_ALL);

echo "<table width=\"100%\" class=\"OnlyCols\">\n";
print("<thead><tr>\n");
print("<th nowrap>Začátek</th>\n");
print("<th>Typ</th>\n");
print("<th width=\"50%\">Nadpis (místo)</th>\n");
print("<th width=\"50%\">Formátované datum</th>\n");
print("<th></th>");
print("<th></th></thead><tbody>");
$data = $aktuality->get(0);
$last_year = '';
while($data) {
	$this_year = substr($data['date_start'], 0, 4);
	if ($this_year != $last_year) {
		echo "\t<tr>\n\t\t<th colspan=6>".$this_year."</th>\n";
	}

	print("<tr>\n");
	print("<td nowrap><code>".$data["date_start"]."</code></td>");
	print("<td>".$aktuality->type_text[$data["type"]]."</td>\n");
	print("<td>".$data["title"]."</td>\n");
	print("<td>".$data["fdate"]."</td>\n");
	print("<td><a href=\"aktuality-edit.php?id=".$data["id"]."\">");
	print(		"<code>úpravy</code></a></td>");
	print("<td><a href=\"aktuality-delete.php?id=".$data["id"]."\">");
	print(		"<code>smazat</code></a></td>");
	
	$data = $aktuality->get_next();
	$last_year = $this_year;
}
echo "</tbody></table>";
echo "<ul><li><a href=\"aktuality-edit.php\">Přidat novou aktualitu</a></ul>";

$page->generate_footer();
?>
