<? // vim:encoding=utf8:
require_once "lib/page.inc.php";
require_once "lib/auth.inc.php";
require_once "lib/aktuality.inc.php";
require_once "lib/svatek.inc.php";
require_once "lib/kalendar.inc.php";

if (isset($_GET["count"])) $count = $_GET["count"];
if (isset($_GET["from"])) $from = $_GET["from"];

$auth = new Auth;

$level = $auth->check_login();

$page = new Page("Aktuality", $auth->get_username(), $level);
$page->generate_header();

$aktuality = new Aktuality(A_AKCE);


if (!isset($from)) {
	$from = $ofrom = date("Y-m-d H:i:s");
} else {
	if($from == "now") {
		$from = date("Y-m-d H:i:s");
		$ofrom = "now";
	} else {
		$ofrom = $from;
	}
}

if (!isset($count)) {
	$count = 3;
} else {
	$count += 0;
}

//echo $from."<br>";

echo "<div class=\"rightfloat\">\n";
echo "<fieldset class=\"menu\"><legend>Zobrazit</legend>\n";
echo "<h4>Akce:</h4>";
echo "<ul>";
echo "<li><a href=\"".$PHP_SELF."?from=0&amp;count=".$count."\">všechny</a>\n";
echo "<li><a href=\"".$PHP_SELF."?from=now&amp;count=".$count."\">".
		"pouze aktuální</a>\n";
echo "<li><a href=\"".$PHP_SELF."?from=".urlencode(date("Y-m-d H:i:s",
		mktime (0,0,0,date("m")-1,date("d"),date("Y"))))."&amp;count=".$count."\">".
		"mladší jednoho měsíce</a>\n";
echo "</ul>";

echo "<h4>Novinky:</h4>";
echo "<ul>";
echo "<li><a href=\"".$PHP_SELF."?from=".urlencode($ofrom)."&amp;count=0\">všechny</a>\n";
echo "<li><a href=\"".$PHP_SELF."?from=".urlencode($ofrom)."&amp;count=3\">poslední 3</a>\n";
echo "<li><a href=\"".$PHP_SELF."?from=".urlencode($ofrom)."&amp;count=10\">posledních 10</a>\n";
echo "</ul>";
echo "</fieldset>\n";

echo "<fieldset class=\"menu\"><legend>Nástroje</legend>\n";

if ($level >= 2) {
	echo "<ul>";
	echo "<li><a href=\"aktuality-list.php\">Správa aktualit</a>\n";
	echo "<li><a href=\"aktuality-edit.php\">Přidat novou aktualitu</a>\n";
	echo "</ul>";
}
echo "<ul>";
echo "<li><a href=\"./aktuality.rss.php\">RSS Feed</a>";
//echo "<a href=\"./forum.rss.php\">RSS Feed forum</a>";
echo "</ul>";
echo "</fieldset>\n";


/* kalendar */
print_calendar(time(), $aktuality->get_month(date("n"), date("Y")));
$next = mktime(0,0,0, date("n")+1, 1, date("Y"));
print_calendar($next, $aktuality->get_month(date("n", $next), date("Y", $next)));
echo "<div align=right>Dnes má svátek ".svatek().".</div>\n";
echo "<div align=right><a href=\"kalendar.php\">více...</a></div>";
echo "</div>";



print("<h1>Akce</h1>\n");

print("<dl class=\"aktuality\">\n");
$data = $aktuality->get($from);
if (!$data) {
	print "<dt><b><i>nejsou žádné aktuální akce</i></b> ";
	print "</dt>\n";
}
while($data != null) {
	$aktuality->aprint($data, true, $page->userlevel >= 2);
	$data = $aktuality->get_next();
}
print("</dl>\n");



$novinky = new Aktuality(A_NEWS);

print("<h1>Novinky</h1>\n");
print("<dl class=\"aktuality\">\n");
$data = $novinky->get($count);
if (!$data) {
	print "<dt><b><i>nejsou žádné novinky</i></b> ";
	print "</dt>\n";
}
while($data != null) {
	$novinky->aprint($data, true, $page->userlevel >= 2);
	$data = $novinky->get_next();
}
print("</dl>\n");




$page->generate_footer();
?>
