<? // vim:encoding=utf8:
require_once "lib/aktuality.inc.php";

header("Content-Type: text/xml");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

echo '<?xml version="1.0" encoding="utf8"?>';

$aktual = new Aktuality();

?>

<rdf:RDF
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:rss="http://purl.org/rss/1.0/"
  xmlns:sy="http://purl.org/rss/1.0/modules/syndication/">
  
	<rss:channel rdf:about="<?echo BASE_URL?>aktuality.php">
		<rss:title><?echo ORG_NAME?> - Aktuality</rss:title>
		<rss:description><?echo AKTUALITY_DESC?></rss:description>
		<rss:link><?echo AKTUALITY_LINK?></rss:link>
		<rss:language>cs</rss:language>
		<rss:webMaster><?echo MAIN_ADMIN_MAIL?></rss:webMaster>
		
		<rss:items>
			<rdf:Seq>
<?
	$data = $aktual->get(urlencode(date("Y-m-d H:i:s", time())));
	$items = "";
	while($data != null) {
		echo "\t\t\t\t<rdf:li rdf:resource=\"".$data["id"]."\" />\n";
		$items .= "\t<rss:item rdf:about=\"".$data["id"]."\">\n";
		if ($data["fdate"])
			$items .= "\t\t<rss:title>".$data["title"]." (".$data["fdate"].")</rss:title>\n";
		else
			$items .= "\t\t<rss:title>".$data["title"]."</rss:title>\n";
		$items .= "\t\t<rss:description>".htmlspecialchars($data["text"])."</rss:description>\n";
		$items .= "\t\t<rss:link>".BASE_URL."aktuality.php</rss:link>\n";
		$items .= "\t</rss:item>\n\n";
		$data = $aktual->get_next();
	}
?>
			</rdf:Seq>
		</rss:items>
		
		<sy:updatePeriod>hourly</sy:updatePeriod>
		<sy:updateFrequency>2</sy:updateFrequency>
		<sy:updateBase>2004-01-01T00:00+02:00</sy:updateBase>
		<rss:ttl>120</rss:ttl>
	</rss:channel>
<?
	echo $items;
?>
</rdf:RDF>
