<? // vim:encoding=utf8:
require_once "lib/auth.inc.php";
require_once "lib/page.inc.php";
require_once "lib/forum.inc.php";
require_once "lib/forum_lastview.inc.php";
require_once "lib/object_type.inc.php";

/*** page init **************************************************************/
$auth = new Auth();
$lvl = $auth->check_login();
$page = new Page("Fórum", $auth->get_username(), $lvl);
$page->generate_header();
if ($lvl < AUTH_BASIC) {
	if ($lvl == 0)
		$auth->print_must_login();
	else
		$auth->print_access_denied();
	$page->generate_footer();
	exit;
}

/*** args *******************************************************************/
if (!isset($_GET['id']) || !isset($_GET['type'])) {
	echo "<div class=error>\n<h2>Interní chyba aplikace</h2>\n"
		."<p>Nebyla zvolena žádná diskuze.</p>\n"
		."</div>\n";
	$page->generate_footer();
	exit();
}
$object_id = 1 * $_GET['id'];
$object_type = 1 * $_GET['type'];
$debug = $_GET['debug'] == "1";

/*** Top Object *************************************************************/
$ot = new Object_Type($object_type);
$ot->show($object_id);

/*** toolbar ****************************************************************/
echo 	 "<ul class=forumtoolbar>\n"
	."<li><a href='forum-edit.php?parent=0&amp;id=".$object_id
		."&amp;type=".$object_type."'>Založit nové vlákno</a>"
	."<li><a href='#unread1'>skočit na první nepřečtný příspěvek</a>\n"
	."</ul>";

/*** forum listing **********************************************************/
$forum = new Forum($object_id, $object_type, $debug);
$forum->render_thread($auth->get_userid(), true);

$lv = new Forum_LastView($auth->get_userid(), $object_id, $object_type);
$lv->set();


/*** page cleanup ***********************************************************/
$page->generate_footer();

?>
