<? // vim:encoding=utf8:
require_once "lib/page.inc.php";
require_once "lib/auth.inc.php";
require_once "lib/freebusy.inc.php";
require_once "lib/aktuality.inc.php";
require_once "lib/kalendar.inc.php";
require_once "config.php";

/* Predani parametru */
$id = is_numeric($_GET['id']) ? $_GET['id'] : (is_numeric($_POST['id']) ? $_POST['id'] : -1);
$ack = isset($_POST['ack']) ? $_POST['ack'] != "" : 0;
$PHP_SELF = $_SERVER['PHP_SELF'];

/* Autentizace */
$auth = new Auth();
$lvl = $auth->check_login();

/* Stranka */
$page = new Page("Free/Busy", $auth->get_username(), $lvl);
$page->generate_header();

/* Autorizace */
if ($lvl < AUTH_NOBODY) {
	if ($lvl == 0)
		$auth->print_must_login();
	else
		$auth->print_access_denied();
	$page->generate_footer();
	exit;
}

/* FreeBusy */
$fb = new FreeBusy($month, $year);

/****************************************************************************/

if ($ack) {
	if ($id > 0 && $fb->del_event($id, $auth->get_userid())) {
		echo "<div class=success><h2>Záznam byl smazán</h2>\n"
			."<a href='freebusy-list.php'>Správa informací o obsazeném čase</a>\n"
			."</div>\n";
	} else {
		echo "<div class=error><h2>Záznam se nepovedlo smazat</h2>\n"
			."<a href='freebusy-list.php'>Správa informací o obsazeném čase</a>\n"
			."</div>\n";
	}
} else {
	if ($id > 0 && $event = $fb->get_event($id, $auth->get_userid())) {
		echo	 "<div class=question>\n"
			."<h2>Smazání záznamu<br>o&nbsp;volném/obsazeném čase</h2>\n"
			."<p><em>&bdquo;".$event["symbol"]." &ndash; ".$event["desc"]."&rdquo;&nbsp;?</em></p>\n"
			."<p>Opravdu si přeješ smazat tento záznam?</p>\n"
			."<form action='".$PHP_SELF."' method='post'><div>\n"
			."<input type='submit' name='ack' value='Ano, chci to smazat'>\n"
			."<input type='hidden' name='id' value='".$id."'>\n"
			."</div></form>\n"
			."<form action='freebusy-list.php' method=post><div>\n"
			."<input type='submit' name='cancel' value='Ne, nic nedělat'>\n"
			."</div></form>\n"
			."</div>";
	}
}


$page->generate_footer();
?>
