<? // vim:encoding=utf8:
require_once "lib/page.inc.php";
require_once "lib/auth.inc.php";
require_once "lib/freebusy.inc.php";
require_once "lib/aktuality.inc.php";
require_once "lib/kalendar.inc.php";
require_once "config.php";

$PHP_SELF = $_SERVER['PHP_SELF'];

/* Autentizace */
$auth = new Auth();
$lvl = $auth->check_login();

/* Stranka */
$page = new Page("Free/Busy - správa událostí", $auth->get_username(), $lvl);
$page->generate_header();

/* Autorizace */
if ($lvl < AUTH_NOBODY) {
	if ($lvl == 0)
		$auth->print_must_login();
	else
		$auth->print_access_denied();
	$page->generate_footer();
	exit;
}

/* FreeBusy */
$fb = new FreeBusy(-1, -1);

/*****************************************************************************/

/* vypis seznamu */
echo	 "<table width='100%' class=OnlyCols>\n"
	."\t<thead>\n"
	."\t\t<tr><th width='15%'>Od</th><th width='15%'>Do</th><th>Symbol</th><th>Popis</th>\n"
	."\t\t<th width='7%'>&nbsp;</th><th width='7%'>&nbsp;</th>\n"
	."\t</thead>\n"
	."\t<tbody>\n";

$fb->list_create($auth->get_userid());
$last_year = '';
while ($ln = $fb->list_next()) {
	$this_year = substr($ln['begin'], 0, 4);
	if ($this_year != $last_year) {
		echo "\t<tr>\n\t\t<th colspan=6>".$this_year."</th>\n";
	}
	echo "\t<tr>"
		."\t\t<td>".$ln["begin"]."</td>"
		."\t\t<td>".$ln["end"]."</td>"
		."\t\t<td>".stripslashes($ln["symbol"])."</td>"
		."\t\t<td>".stripslashes($ln["desc"])."</td>"
		."\t\t<td><a href='freebusy-edit.php?id=".$ln["id"]."'>upravit</a></td>"
		."\t\t<td><a href='freebusy-del.php?id=".$ln["id"]."'>smazat</a></td>";
	$last_year = $this_year;
}

echo	 "</tbody>\n</table>\n";

/* extra akce */
echo	 "<ul>"
	."\t<li><a href='freebusy-edit.php'>Přidat novou událost</a>\n"
	."</ul>";

$page->generate_footer();
?>
