<? // vim:encoding=utf8:
require_once "lib/page.inc.php";
require_once "lib/auth.inc.php";
require_once "lib/aktuality.inc.php";
require_once "lib/kalendar.inc.php";
require_once "config.php";

if (isset($_GET["month"])) $month = $_GET["month"];
if (isset($_GET["year"])) $year = $_GET["year"];
if (isset($_GET["showall"]))
	$showall = $_GET["showall"] + 0;
else
	$showall = 0;

$auth = new Auth;

if (!($lvl = $auth->check_login())) {
	$page = new Page("Free/Busy", $auth->get_username(), $lvl);
	$page->generate_header();
	$auth->print_must_login();
	$page->generate_footer();
	exit;
}

$page = new Page("Free/Busy", $auth->get_username(), $lvl);
$page->generate_header();

if (!isset($from) || $from == "now") {
	$from = urlencode(date("Y-m-d H:i:s"));
}

if (!isset($year)) {
	$year = date("Y");
} else {
	$year += 0;
}
if (!isset($month)) {
	$month = date("n");
} else {
	$month = ($month - 1) % 12 + 1;
}

$max_day = date("t", mktime(0, 0, 0, $month, 1, $year));

$db = mysql_connect(DB_SERVER, DB_USER, DB_PASSWD) or die(mysql_error($db));
mysql_select_db(DB_DATABASE, $db) or die(mysql_error($db));
mysql_query("SET CHARSET 'utf8'");

?>
<h1><? echo get_month_by_number($month)." ".$year;?></h1>

<div class=navbar>
<a href="<?echo $PHP_SELF."?month=".($month > 1 ? ($month - 1) : 12)
	."&year=".($month > 1 ? $year : ($year - 1))."&showall=".$showall ?>">&lt;&nbsp;předchozí</a> |
<a href="<?echo $PHP_SELF.'?'."&showall=".$showall ?>">aktuální</a> |
<a href="<?echo $PHP_SELF."?month=".($month < 12 ? ($month + 1) : 1)
	."&year=".($month < 12 ? $year : ($year + 1))."&showall=".$showall ?>">následující&nbsp;&gt;</a>
</div>
<table class="kalendar">
<thead>
<tr><th>Den</th><th>&nbsp;?&nbsp;</th>
<?
	$users_row = "";
	if ($showall) {
		$query = "SELECT `name`, `id` from T_User WHERE 1 ORDER BY `name`;";
	} else {
		$query = "SELECT `name`, `T_User`.`id` from T_User\n"
			."LEFT JOIN T_FreeBusy ON `T_User`.`id` = `T_FreeBusy`.`user_id`\n"
			."WHERE `begin` >= '".$year."-".$month."-1'\n"
			."	OR `end` <= '".$year."-".$month."-31'\n"
			."ORDER BY `name`;";
	}
	$user_query = $query;
	$result = mysql_query($query, $db) or die("<pre>".$query."</pre>".mysql_error($db));
	$last_usr = "";
	while ($usr = mysql_fetch_assoc($result)) {
		if ($last_usr != $usr["name"])
			$users_row .= "<th>".$usr["name"]."</th>";
		$last_usr = $usr["name"];
		
	}
	echo $users_row;

?>
	<th>Den</th>
	<th>Akce</th>
</thead>
<tfoot>
<tr><th>Den</th><th>&nbsp;?&nbsp;</th>
<?
	echo $users_row;
?>
	<th>Den</th>
	<th>Akce</th>
</tfoot>
<tbody>
<?

/********************************************************************/
/***                                                              ***/
/***        NEKRITIZOVAT -- je to prasarna a ja to vim ;)         ***/
/***                                                              ***/
/********************************************************************/

$aktuality = new Aktuality(A_AKCE);
$akt_month = $aktuality->get_month($month, $year, 1);

for ($i = 1; $i <= $max_day; $i++) {
	/* print day */
	echo "<tr".(date("w", mktime(0, 0, 0, $month, $i, $year)) % 6 == 0 ?
				" class=\"marked\"":"").">";
	$day_td = "<th class=num".($i == date("d") && $month == date("m") && $year == date("Y")
					? " id=today": "")
				.">&nbsp;".$i."&nbsp;</th>\n";
	echo $day_td;

	/* is day free ?  */
	$query = "SELECT `symbol` FROM `T_FreeBusy` "
			."WHERE `begin` <= '".$year."-".$month."-".$i."'\n"
			."	AND `end` >= '".$year."-".$month."-".$i."'\n"
			."	AND (`reptype` = 0\n"
			."		OR (`reptype` = 1\n"
			."			AND `repvar1` = DAYOFWEEK('".$year."-".$month."-".$i."')\n"
			."		)\n"
			."		OR (`reptype` = 2\n"
			."			AND `repvar1` <= '".$i."'\n"
			."			AND `repvar2` >= '".$i."'\n"
			."		)\n"
			."	)\n"
			."	AND `is_free` = '0'\n"
			." LIMIT 1;";
	$res_d = mysql_query($query, $db);
	$day = mysql_fetch_assoc($res_d);
	echo "<td>".($day["symbol"] ? "&nbsp;x&nbsp;" : "&nbsp;")."</td>\n";

	/* print user's events */
//	$query = "SELECT `id` from T_User WHERE 1 ORDER BY `name`;";
	$query = $user_query;
	$result = mysql_query($query, $db);
	$col = 0;
	$last_user = "";
	while ($usr = mysql_fetch_assoc($result)) {
		if ($last_user == $usr["name"]) {
			continue;
		} else {
			$last_user = $usr["name"];
		}
		$col++;
		$query = "SELECT `symbol`, `description` FROM `T_FreeBusy`\n"
			."WHERE `user_id` = '".$usr["id"]."'\n"
			."	AND `begin` <= '".$year."-".$month."-".$i."'\n"
			."	AND `end` >= '".$year."-".$month."-".$i."'\n"
			."	AND (`reptype` = 0\n"
			."		OR (`reptype` = 1\n"
			."		  AND `repvar1` = DAYOFWEEK('".$year."-".$month."-".$i."')\n"
			."		)\n"
			."		OR (`reptype` = 2\n"
			."			AND `repvar1` <= '".$i."'\n"
			."			AND `repvar2` >= '".$i."'\n"
			."		)\n"
			."	)\n"
			."ORDER BY end LIMIT 4;";
		//echo "<pre>".$query."</pre>";
		$res_d = mysql_query($query, $db) or die(mysql_error($db));
		$t = ""; $l = "";
		if ($day = mysql_fetch_assoc($res_d)) {
			$l = $day["symbol"];
			do {
				if ($day["symbol"] != "" && $day["description"] != "") {
					$t .= ($t == "" ? "" : ", ").$day["description"];
				}
			} while ($day = mysql_fetch_assoc($res_d));
		}
		echo "<td class=col".(($col % 2) + 1).">";
		echo "<abbr title=\"".htmlspecialchars(stripslashes($t))."\">"
			.htmlspecialchars(stripslashes($l))."</abbr>";
		echo "</td>\n";
	}
	
	echo $day_td;
	echo "<td nowrap class=long width=\"100%\">".$akt_month[$i]."</td>";

}
?>
</tbody>
</table>

<ul>
<? if ($showall) { ?>
<li><a href="<?echo $PHP_SELF."?month=".$month
	."&year=".$year."&showall=0" ?>">Zobrazit pouze členy s alespoň jedním záznamem</a>
<? } else { ?>
<li><a href="<?echo $PHP_SELF."?month=".$month
	."&year=".$year."&showall=1" ?>">Zobrazit včetně členů bez záznamu</a>
<? } ?>
<li><a href="freebusy-edit.php">Úpravy informací o obsazeném čase</a>
<li><a href="freebusy-edit.php?edit=new">Přidat novou událost</a>
</ul>

<? if (!$showall) { ?>
<p><b>Poznámka:</b>
V tabulce se zobrazují pouze ti, kteří mají uvedený alespoň jeden záznam v
libovolném měsíci.</p>
<? } ?>

<?
$page->generate_footer();
?>
