<? // vim:encoding=utf8:

require_once "lib/page.inc.php";
require_once "lib/auth.inc.php";
require_once "config.php";

$auth = new Auth;
$lvl = $auth->check_login();
$page = new Page("ToDo", $auth->get_username(), $lvl);
$page->generate_header();

if ($lvl < AUTH_ADMIN) {

	if ($lvl == 0)
		$auth->print_must_login();
	else
		$auth->print_access_denied();
		
	$page->generate_footer();
	exit;
}

echo "\n<div class=preview><pre>";
echo htmlspecialchars (file_get_contents("./TODO"));
echo "</pre></div>\n";

$page->generate_footer();
?>
