<?
require_once "lib/auth.inc.php";
require_once "lib/page.inc.php";
require_once "lib/user.inc.php";
require_once "lib/editor.inc.php";

/*** page init **************************************************************/
$auth = new Auth();
$lvl = $auth->check_login();
$page = new Page("Uživatel", $auth->get_username(), $lvl);
$page->generate_header();
if ($lvl == 0) {
	$auth->print_must_login();
	$page->generate_footer();
	exit;
}
$usr = new User();

/*** stranka ****************************************************************/


$ed = new Editor($_POST, $usr->get_by_id($auth->get_userid()), $auth->get_userid(), 52);
$ed->add_hidden('user_id', $auth->get_userid());
$ed->set_group(1);
$ed->add_text_entry('jmeno', 'Jméno', false);
$ed->add_text_entry('prijmeni', 'Příjmení', false);
$ed->add_text_entry('prezdivka', 'Přezdívka', false);

$ed->set_group(2);
$ed->add_label('&nbsp;');
$ed->add_date_entry('datnar', 'Datum&nbsp;narození', true, false);
$ed->add_date_entry('svatek', 'Svátek', false, false);

$ed->set_group(1);
$ed->add_label('&nbsp;');
$ed->add_text_entry('mobil', 'Mobil', false);
$ed->add_note('Číslo na mobil zadej v mezinárodním formátu bez mezer (+420xxxxxxxxx)');
$ed->add_text_entry('mail', 'e-mail', false);
$ed->add_text_entry('jabber', 'Jabber', false);
$ed->add_text_entry('icq', 'ICQ', false);
$ed->add_text_entry('web', 'Web', false);
$ed->add_text_entry('home_url', 'URL domu', false);

$ed->set_group(2);
$ed->add_label('&nbsp;');
$ed->add_text_entry('adr_ulice', 'Adresa &ndash; ulice', false);
$ed->add_text_entry('adr_mesto', 'Adresa &ndash; město', false);
$ed->add_number_line('adr_psc', 'Adresa &ndash; PSČ', array(3, 2), false);

$ed->set_group(1);
$ed->add_label('&nbsp;');
$ed->add_text_entry('stav', 'Stav', false);
$ed->add_combo('infomail', "Zasílat&nbsp;upozornění&nbsp;na&nbsp;akce", array('ano'=>1, 'ne'=>0, 'nevím'=>1), true);

//$ed->dump_data();

if ($ed->is_completed()) {
	$usr->change($ed->get_values());
}

echo "<h2>Změna osobních údajů</h2>\n";
$ed->render_form();


/*** page cleanup ***********************************************************/
$page->generate_footer();

?>
