<? // vim:encoding=utf8:

require_once "lib/page.inc.php";
require_once "lib/auth.inc.php";
require_once "config.php";

$auth = new Auth;

if (($lvl = $auth->check_login()) < AUTH_ADMIN) {
	$page = new Page("Admin", $auth->get_username(), $lvl);
	$page->generate_header();
	
	if ($lvl == 0)
		$auth->print_must_login();
	else
		$auth->print_access_denied();
		
	$page->generate_footer();
	exit;
}

$page = new Page("Admin", $auth->get_username(), $lvl);
$page->generate_header();

?>

<ul>
<li><a href="user-list.php">Správa uživatelských účtů</a>
<li><a href="aktuality-info.php">Rozesílání upozornění na akce &ndash; náhled</a>
<li><a href="aktuality-info-sent.html" target='_new'>Dnes rozeslaná upozornění na akce</a>
(otevře se v novém okně, není to integrovanou součástí)
<li><a href="alog-view.php">Log &ndash; záznam přístupů</a>
<li><a href="todo.php">ToDo</a>
</ul>

<?
$svn_stats = '.upload-svninfo.tmp';
if (is_file($svn_stats)) {
	echo "<h2>SVN Info</h2>\n<pre>";
	readfile('.upload-svninfo.tmp');
	echo "</pre>\n";
}

$page->generate_footer();
?>
