<? // vim:encoding=utf8:
require_once "lib/page.inc.php";
require_once "lib/auth.inc.php";
require_once "lib/user.inc.php";

$auth = new Auth();
if (!($lvl = $auth->check_login())) {
	$page = new Page("Adresář", $auth->get_username(), $lvl);
	$page->generate_header();
	$auth->print_must_login();
	$page->generate_footer();
	exit;
}
if ($lvl < 2) {
	$page = new Page("Adresář", $auth->get_username(), $lvl);
	$page->generate_header();
	$auth->print_access_denied();
	$page->generate_footer();
	exit;
}

$page = new Page("Adresář", $auth->get_username(), $lvl);
$page->set_script("js/adresar.js", "Hide_all();");
$page->generate_header();

?>

<table width="100%" CLASS="OnlyCols" summary="Adresář">
<thead>
<tr>
	<th>Příjmení a jméno (Přezdívka)</th>
	<th>Narozen(a)</th>
	<th>Svátek</th>
	<th>mobil</th>
	<th>e-mail</th>
	<th>Stav</th>
</tr>
</thead>
<tbody>
<?

$usr = new User();
$all = $usr->get_all();
$i = 0;
foreach ($all as $line) {
	foreach ($line as $k => $v) {
		if ($k != "prezdivka" && $k != "mail" && $k != "web" && $k != "home_url" && empty($line[$k]))
			$line[$k] = "&nbsp;";
	}
	echo "<tr>\n";
	echo "\t<td onclick=\"Click(".$i.")\" class=clickable>".$line["prijmeni"].", ".$line["jmeno"]
			.($line["prezdivka"] ? " (".$line["prezdivka"].")" : "")."</td>\n";
	if ($line['datnar_y'] > 0)
		printf("\t<td>%02d.%02d.%04d</td>\n", $line['datnar_d'], $line['datnar_m'], $line['datnar_y']);
	else
		echo "<td></td>\n";
	if ($line['svatek_m'] > 0)
		printf("\t<td>%02d.%02d.</td>\n", $line['svatek_d'], $line['svatek_m']);
	else
		echo "<td></td>\n";
	echo "\t<td>".preg_replace('/(\+\d*)(\d\d\d)(\d\d\d)(\d\d\d)/', '\1&nbsp;\2&nbsp;\3&nbsp;\4',
				$line["mobil"])."</td> \n";
	if ($line['mail'])
		echo "\t<td><a href=\"mailto:".$line["mail"]."\">".$line["mail"]."</a></td>\n";
	else
		echo "\t<td>&nbsp;</td>\n";
	echo "\t<td>".$line["stav"]."</td>\n";
	echo "</tr>\n";

	?>
	<tr class=detailsF id=detail<?echo $i."a"?>>
		<td class=indent>&nbsp;</td>
		<th>Adresa:</th>
		<td colspan=4>
		<address><?echo $line["adr_ulice"]?></address>
		<address><?echo $line["adr_mesto"]?></address>
		<address><?echo $line["adr_psc"]?></address>
		</td>
	</tr>
	<tr class=details id=detail<?echo $i."b"?>>
		<td class=indent>&nbsp;</td>
		<th>Web:</th>
		<td colspan=4><?
			echo $line["web"] != "" ? "<a href=\"".$line["web"]."\">".$line["web"]."</a>":'&nbsp;'
		?></td>
	</tr>
	<tr class=details id=detail<?echo $i."c"?>>
		<td class=indent>&nbsp;</td>
		<th>URL domu:</th>
		<td colspan=4><?
			echo $line["home_url"] != ""
				? "<a href=\"".$line["home_url"]."\">".$line["home_url"]."</a>":'&nbsp;'
		?></td>
	</tr>
	<tr class=details id=detail<?echo $i."d"?>>
		<td class=indent>&nbsp;</td>
		<th>Jabber:</th>
		<td colspan=4><?echo $line["jabber"]?></td>
	</tr>
	<tr class=details id=detail<?echo $i."e"?>>
		<td class=indent>&nbsp;</td>
		<th>ICQ:</th>
		<td colspan=4><?echo $line["icq"]?></td>
	</tr>
	<tr class=detailsL id=detail<?echo $i."f"?>>
		<td class=indent>&nbsp;</td>
		<th>Login:</th>
		<td colspan=4><?echo $usr->makelink($line['user_id'], $line["login"])?></td>
	</tr>
	<?
	$i++;
}
?>
</tbody>
</table>

<p><small><b>TIP:</b> Klikni na jméno, pokud chceš vědět více.</small></p>
<ul>
<li><a href="user-edit.php">Upravit informace o mě</a>
<li><a href="adresar_old.php">Starý adresář</a>
</ul>

<?
$page->generate_footer();
?>
