<? // vim:encoding=utf8:

require_once "lib/page.inc.php";
require_once "lib/auth.inc.php";
require_once "lib/aktuality.inc.php";
require_once "lib/kalendar.inc.php";

$auth = new Auth;

$lvl = $auth->check_login();

$page = new Page("Kalendář", $auth->get_username(), $lvl);
$page->generate_header();

$aktuality = new Aktuality(A_AKCE);

echo "<table width=\"100%\" cellpadding=\"10\">\n";

/* for debug */
$month_now = date("m");
$year_now = date("Y");

$start_year = $year_now - ($month_now <= 3 ? 1 : 0);
$start_month = (12 + $month_now - (4 + (($month_now - 1) % 3))) % 12;

for ($i = 0; $i < 12; $i++) {
	if ($i % 3 == 0)
		echo "<tr>";

	$month = ($start_month + $i) % 12 + 1;
	$year = $start_year + ($start_month + $i >= 12 ? 1 : 0);
		
	echo "<td>\n";
	print_calendar(mktime(0, 0, 0, $month, 1, $year), $aktuality->get_month($month, $year));
	echo "</td>\n";
}

echo "</table>";

$page->generate_footer();
?>
