<?

require_once "config.php";
require_once "lib/database.inc.php";

define(OBR_AKTUALITA, 1);

class Obrazek {
	var $db;
	var $id = null;
	var $category = null;
	var $prefix = 'images';
	var $url = null;
	var $filename = null;
	var $ext = null;
	var $table = array("x-oops-x", "T_Aktuality");
	var $dir   = array("x-oops-x", "aktuality");


	/* Inicializace obrazku */
	function Obrazek($id, $category) {
		$this->db = new Database();
		$this->id = $id;
		$this->category = $category;
	}

	/* zpracovani uploadu obrazku */
	function store($uploaded_file, $uploaded_file_name, $do_update = false) {
		$this->ext = ".".preg_replace('/^.*\./', '', $uploaded_file_name);
		//$this->ext = "";
		// *
		echo "<pre>dir:".$this->get_dir()."\n";
		echo "full:".$this->gen_full_name()."\n";
		echo "nm:".$this->gen_name()."</pre>\n";
		// */
		$this->filename = $this->gen_name();
		if (move_uploaded_file($uploaded_file, $this->gen_full_name())) {
			chmod($this->gen_full_name(), 0644);
			if ($do_update)
				$this->update_db();
		}
	}

	/* zpracovani obrazku zadanim url */
	function download($url, $do_update = false) {
		$this->ext = ".".preg_replace('/^.*\./', '', $url);
		//$this->ext = "";
		if($file = file_get_contents($url)) {
			$this->filename = $this->gen_name();
			if ($f = fopen($this->gen_full_name(), "wb")) {
				fputs($f, $file);
				fclose($f);
				chmod($this->gen_full_name(), 0644);
				if ($do_update)
					$this->update_db();
			} else {
				echo "<div class=error><h2>Ukládání obrázku se nezdařilo!</h2></div>";
			}
		} else {
			echo "<div class=error><h2>Načítání obrázku se nezdařilo!</h2></div>";
		}
	}

	/* zjisteni url obrazku */
	function get_url() {
		$query = "SELECT image FROM ".$this->category."\n"
			."WHERE id = ".$this->id."\n"
			."LIMIT 1;";

		$res = $this->db->query($query);
		$data = $this->db->fetch($res);


		return($data['image']);
	}
	
	/* ulozeni obrazku a zapis do db */
	function update_db() {
		/* update databaze */
		$query = "UPDATE ".$this->table[$this->category]."\n"
			."SET image = '".$this->filename."'\n"
			."WHERE id = ".($this->id+0)."\n"
			."LIMIT 1;";
		echo '<pre>'.$query.'</pre>';
		$this->db->query($query);
	}
	
	/* generovani jmena souboru */
	function gen_full_name() {
		return $this->get_dir().$this->gen_name();
	}
	function gen_name() {
		return (1000000 + $this->id).$this->ext;
	}
	function get_dir() {
		return $this->prefix.'/'.$this->dir[$this->category].'/';
	}
}

?>
