<? // vim:encoding=utf8:
require_once "lib/auth.inc.php";
require_once "lib/page.inc.php";
require_once "lib/editor.inc.php";
require_once "lib/topic.inc.php";

/*** page init **************************************************************/
$auth = new Auth();
$lvl = $auth->check_login();
$page = new Page("Nové téma", $auth->get_username(), $lvl);
$page->generate_header();
if ($lvl == AUTH_BASIC) {
	if ($lvl == 0)
		$auth->print_must_login();
	else
		$auth->print_access_denied();
	$page->generate_footer();
	exit;
}

/*** formular ***************************************************************/
$ed = new Editor($_POST, array(), 2, $auth->get_userid());
$ed->add_label("Povinné položky");
$ed->add_text_entry("name", "Téma", true);
$ed->add_text_area("description", "Popis", false);

if ($ed->is_completed()) {
	//$ed->dump_data();
	$val = $ed->get_values();

	$topic = new Topic();
	if ($id = $topic->create($val['name'], $auth->get_userid(), $val['description'])) {
		$ed->log_post();
		echo 	 "<div class=success>\n"
			."<h2>Téma bylo vytvořeno.</h2>\n"
			."<p><a href='forum-edit.php?parent=0&id=".$id."&type=2'>Vložit první příspěvek</a></p>\n"
			."</div>\n";
		$topic->object_show($id);
	} else {
		echo 	 "<div class=error>\n"
			."<h2>Téma se nepovedlo vytvořit.</h2>\n"
			."</div>\n";
		$ed->render_form();
	}
} else {
	$ed->render_form();
}



/*** page cleanup ***********************************************************/
$page->generate_footer();

?>
