<? // vim:encoding=utf8:
require_once "lib/auth.inc.php";
require_once "lib/page.inc.php";
require_once "lib/topic.inc.php";
require_once "lib/forum.inc.php";
require_once "lib/table.inc.php";

/*** page init **************************************************************/
$auth = new Auth();
$lvl = $auth->check_login();
$page = new Page("Fórum &ndash; témata", $auth->get_username(), $lvl);
$page->generate_header();
if ($lvl < AUTH_BASIC) {
	if ($lvl == 0)
		$auth->print_must_login();
	else
		$auth->print_access_denied();
	$page->generate_footer();
	exit;
}
/*** topic listing **********************************************************/

$topic = new Topic();
$forum = new Forum();

/*
echo "<p><i>Provozovatel fóra nenese žádnou odpovědnost za obsah
příspěvků ve fóru. Tuto odpovědnost nese vždy autor příslušného
příspěvku.</i></p>\n";
*/

echo "<h2>Poslední přidané příspěvky ve všech diskuzích</h2>\n";
$lasts = new Table($forum->get_lasts());
$lasts->define_all($forum->get_lasts_tabledef());
$lasts->render();

echo "<h2>Všechna témata &ndash; řazena podle data založení</h2>\n";
$list = new Table($topic->get_listing($auth->get_userid()));
$list->define_all($topic->get_listing_tabledef());
$list->render();

?>
<ul>
<li><a href="topic-edit.php">Založit nové téma</a>
<li><a href="forum.rss.php">Forum RSS feed</a>
</ul>
<?

/*** page cleanup ***********************************************************/
$page->generate_footer();

?>
