<?
require_once "lib/auth.inc.php";
require_once "lib/page.inc.php";
require_once "lib/user.inc.php";
require_once "lib/editor.inc.php";

/*** page init **************************************************************/
$auth = new Auth();
$lvl = $auth->check_login();
if ($lvl == 0) {
	$page = new Page("Změna přihlašovacího jména", $auth->get_username(), $lvl);
	$page->generate_header();
	$auth->print_must_login();
	$page->generate_footer();
	exit;
}

$usr = new User();

$ed = new Editor($_POST, $usr->get_by_id($auth->get_userid()), $auth->get_userid(), 53);
$ed->add_hidden('user_id', $auth->get_userid());
$ed->add_text_entry('name', 'Nové&nbsp;jméno', true);
$ed->add_passwd_entry('pass', 'Heslo', true);

$complete = false;
$result = false;
if ($ed->is_completed()) {
	$complete = true;
	$val = $ed->get_values();
	if ($result = $auth->change_name($val['name'], $val['pass']))
		$auth->login($val['name'], $val['pass']);
}

/*** stranka ****************************************************************/

$page = new Page("Změna přihlašovacího jména", $auth->get_username(), $lvl);
$page->generate_header();

if ($complete) {
	if ($result) {
		echo "<div class=success><h2>Jméno bylo změněno</h2></div>\n";
	} else {
		echo "<div class=error><h2>Jméno se nepovedlo změnit!</h2></div>\n";
	}
} else {
	echo "<h2>Změna jména</h2>\n";
	$ed->render_form();
}

/*** page cleanup ***********************************************************/
$page->generate_footer();

?>
