<?
require_once "lib/auth.inc.php";
require_once "lib/page.inc.php";
require_once "lib/user.inc.php";
require_once "lib/editor.inc.php";

/*** page init **************************************************************/
$auth = new Auth();
$lvl = $auth->check_login();
$page = new Page("Změna hesla", $auth->get_username(), $lvl);
$page->generate_header();
if ($lvl == 0) {
	$auth->print_must_login();
	$page->generate_footer();
	exit;
}
$usr = new User();

/*** stranka ****************************************************************/

$ed = new Editor($_POST, $usr->get_by_id($auth->get_userid()), $auth->get_userid(), 53);
$ed->add_hidden('user_id', $auth->get_userid());
$ed->add_passwd_entry('old_pass', 'Staré&nbsp;heslo', true);
$ed->add_passwd_entry('new_pass1', 'Nové&nbsp;heslo', true);
$ed->add_passwd_entry('new_pass2', 'Znovu&nbsp;nové', true);

if ($ed->is_completed()) {
	$val = $ed->get_values();
	if ($auth->change_passwd($val['old_pass'], $val['new_pass1'], $val['new_pass2'])) {
		echo "<div class=success><h2>Heslo bylo změněno</h2></div>\n";
	} else {
		echo "<div class=error><h2>Heslo se nepovedlo změnit!</h2></div>\n";
	}
} else {
	echo "<h2>Změna hesla</h2>\n";
	$ed->render_form();
}

/*** page cleanup ***********************************************************/
$page->generate_footer();

?>
