<?
require_once "lib/auth.inc.php";
require_once "lib/page.inc.php";
require_once "lib/user.inc.php";
require_once "lib/forum.inc.php";
require_once "lib/table.inc.php";

/*** page init **************************************************************/
$auth = new Auth();
$lvl = $auth->check_login();
$page = new Page("Uživatel", $auth->get_username(), $lvl);
$page->generate_header();
if ($lvl < (isset($_GET['id']) ? AUTH_BASIC : AUTH_NOBODY)) {
	if ($lvl == 0)
		$auth->print_must_login();
	else
		$auth->print_access_denied();
	$page->generate_footer();
	exit;
}
$usr = new User();
$forum = new Forum();

if (isset($_GET['id']))
	$user_id = $_GET['id'] + 0;
else
	$user_id = $auth->get_userid();

/*** stranka ****************************************************************/

$usr->object_show($user_id);

if ($user_id == $auth->get_userid()) {
	echo	 "<ul>\n"
		."<li><a href='user-edit.php'>Upravit informace o mě</a>\n"
		."<li><a href='user-passwd.php'>Změnit heslo</a>\n"
		."<li><a href='user-name.php'>Změnit přihlašovací jméno</a>\n"
		."</ul>\n";
}
if ($lvl >= 3 && $user_id != $auth->get_userid()) {
	echo	 "<ul>\n"
		."<li><a href='user-perm.php?id=".$user_id."'>Upravit přístupová práva</a>\n"
		."</ul>\n";
}

echo "<h2>Příspěvky ve všech diskuzích</h2>\n";
$lasts = new Table($forum->get_lasts($user_id, -1), 'month');
$lasts->define_all($forum->get_lasts_tabledef());
$lasts->remove_col(2);
$lasts->render();

/*** page cleanup ***********************************************************/
$page->generate_footer();

?>
